header {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 150 !important;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 2px solid #37c318;
  height: 65px;
}
header .desktop-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: transparent;
  max-width: 1200px;
  width: 100%;
}
header .desktop-nav .logo {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 10px;
}
header .desktop-nav .logo img {
  width: 100%;
  height: 37px;
  display: block;
}
header .desktop-nav .nav-links {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
}
header .desktop-nav .nav-links li {
  list-style: none;
}
header .desktop-nav .nav-links a {
  color: var(--color-menu-item);
  text-decoration: none;
  padding: 20px 25px;
  display: block;
}
header .desktop-nav .nav-links a i {
  margin-right: 10px;
}
header .desktop-nav .nav-links a:hover {
  color: var(--color-menu-item-hover);
  text-shadow: 0 0 20px #259c0b;
}
header .desktop-nav .nav-links .dropdown {
  position: relative;
}
header .desktop-nav .nav-links .dropdown:hover::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  right: 0;
  height: 2px;
  background-color: #269c0b00;
  z-index: 151;
}
header .desktop-nav .nav-links .dropdown .dropdown-content {
  display: none;
  position: absolute;
  top: calc(100% - 2px);
  left: 0;
  min-width: 130px;
  z-index: 150;
  background-color: #ffffff;
  padding-top: 12px;
  width: 400px;
  border-radius: 0 0 25px 25px;
  border: 2px solid #259c0b;
  border-top: none;
  margin-top: 3px;
}
header .desktop-nav .nav-links .dropdown .dropdown-content a {
  color: var(--color-menu-item);
  padding: 10px;
  text-decoration: none;
  display: block;
}
header .desktop-nav .nav-links .dropdown .dropdown-content a:hover {
  color: var(--color-menu-item-hover);
  text-shadow: 0 0 20px #259c0b;
}
header .desktop-nav .nav-links .dropdown:hover .dropdown-content {
  display: block;
  animation: dropdown 0.3s ease-in-out;
}
.mobile-nav {
  display: none;
}
.mobile-nav .hamburger {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 30px;
  position: fixed;
  top: 7px;
  right: 20px;
  z-index: 1001;
}
.mobile-nav .hamburger .line {
  width: 100%;
  height: 3px;
  background-color: var(--color-menu-item);
  transition: all 0.3s ease;
}
.mobile-nav .sidebar {
  display: none;
  flex-direction: column;
  position: fixed;
  top: 0;
  right: 0;
  width: 250px;
  height: 100vh;
  transform: translateX(100%);
  transition: transform 0.3s ease, backdrop-filter 0.3s ease;
  background-color: #ffffff;
  align-items: center;
  justify-content: center;
  overflow-y: auto;
  z-index: 1;
}
.mobile-nav .sidebar.active {
  transform: translateX(0);
}
.mobile-nav .sidebar a {
  display: flex;
  padding: 10px 15px;
  text-decoration: none;
  font-size: 18px;
  color: var(--color-menu-item);
}
.mobile-nav .sidebar a i {
  margin-right: 10px;
}
.mobile-nav .sidebar a:hover {
  color: var(--color-menu-item-hover);
  text-shadow: 0 0 20px #259c0b;
}
@keyframes dropdown {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
@media (max-width: 1120px) {
  header {
    position: fixed;
  }
  header .desktop-nav {
    display: flex;
    align-items: center;
    padding: 15px;
  }
  header .desktop-nav .nav-links {
    display: none;
  }
  .mobile-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
  }
  .mobile-nav .hamburger {
    margin-top: 10px;
  }
  .mobile-nav .hamburger.active .line:nth-child(1) {
    transform: rotate(135deg) translateY(-15px);
  }
  .mobile-nav .hamburger.active .line:nth-child(2) {
    opacity: 0;
  }
  .mobile-nav .hamburger.active .line:nth-child(3) {
    transform: rotate(-135deg) translateY(15px);
  }
  .mobile-nav .sidebar {
    display: flex;
    gap: 20px;
    width: 100vw;
  }
}
